.TH XMPEG 1 "4 APRIL 1995" "X Version 11"
.SH NAME
xmpeg - X11 MPEG-Player [Version 1.1]
.SH SYNOPSIS
.B xmpeg
.B [
[-bg background] [-bw width] [-display disp]
.br
[-fg foreground] [-geometry geom] [-hi highlight]
.br
[-icongeom geom] [-iconic] [-lo lowlight] [-loop] [-pl plane]
.br
[-dither {ordered|ordered2|mbordered|fs2|fs4|fs2fast|
          hybrid|hybrid2|2x2|gray|color|mono|threshold}]
.B ]
.SH DESCRIPTION
.I Xmpeg
is a utility running under X11 for playing MPEG\-movies
using code based on the Berkeley Plateau Research Group.
.PP
When the window opens, it will display the first frame of the current (or
specified) MPEG-movie. At the bottom of the window you find some buttons
(known from the Video-recorders or TV) for playing the movie in several
manners. A percentage display will be located in the upper right corner
showing you where you are currently located in the movie (this is disabled
when viewing from STDIN).
.PP
The buttons are performing the following actions:
.TP 6
.B [o]
Eject. This will stop the movie and quit the player.
.PP
.TP 6
.B [!]
About. This will show a window with the copyright information of
this software. Click OK to leave the window.
.PP
.TP 6
.B [<<]
Fast rewind. Slow rewind. If the movie was playing, when you pressed
this button, ti will slowly rewind the movie showing you some frames
of the movie. If not just the percentage display will change and
show you where you are.
.PP
.TP 6
.B [||]
Pause. A running movie will be stopped. Any winding will be stopped.
.TP 6
.B [>]
Play. A stopped movie will start to play from the current position.
.TP 6
.B [|>]
Step. A stopped movie will step one frame further. If the movie was
already running, the movie will be shown in slow motion.
.TP 6
.B [>>]
Fast forward. Slow forward. Same behaviour than the rewind\-button,
but just forward.
.TP 6
.B [[i]]
Info. This will pop up a window showing information about the current
stream. Click
.B Ok
to continue.
.PP
Clicking on the video window will pop up a dither dialog window.
This enables you to changed the current dither method. Click
on the round button near the desired dither method and then click
the
.B Ok
button. In color mode the dither methods
.B 2x2
and
.B color
are disabled. You have to restart the player to use these methods.
If the player is started with the
.B 2x2
or
.B color
dither method, the complete dither dialog is disabled.
.PP
.SH OPTIONS
.I Xmpeg
accepts all X Toolkit command line options listed below:
.PP
.TP 12
.B -display
Sets the display to the specified name (Type: string).
.TP 12
.B -geometry
Specifies the
.I xmpeg
position on the screen. The size is determined by the size of the
MPEG\-movie. (Resource name: geometry, Type: string, Default: none).
.TP 12
.B -icongeom
Specifies the
.I xmpeg
icon position on the screen. Only positive values are excepted, because
the size of the icon depends on the window manager
(Resource name: icongeom, Type: string, Default: none).
.TP 12
.B -fg
Sets the foreground color for the window (Resource name: foreground,
Type: color, Default: black).
.TP 12
.B -bg
Sets the background color for the window (Resource name: background,
Type: color, Default: white).
.TP 12
.B -pl
Sets the plane (highlighted arreas) color for the window (Resource name:
plane, Type: color, Default: gray70).
.TP 12
.B -hi
Sets the higher border color for the buttons (Resource name:
highlight, Type: color, Default: gray90).
.TP 12
.B -lo
Sets the lower border color for the buttons (Resource name:
lowlight, Type: color, Default: gray30).
.TP 12
.B -bw
Specifies the border width for the window (Resource name: borderwidth,
Type: digit, Default: 2).
.TP 12
.B -iconic
Specifies that
.I xmpeg
should start up iconified (Resource name: iconic, Type: boolean,
Default: false).
.TP 12
.B -loop
Specifies that
.I xmpeg
should start playing the stream from the start again, when the end
was reached (Resource name: loop, Type: boolean,
Default: false).
.TP 12
.TP 12
.B -dither
Specifies the dither\-option used. If the player is started with the
.B 2x2
ditehr method, the width and height of the video window will be doubled.
(Resource name: dither, Type: string, Default: ordered2).
.SH DIAGNOSTICS
.I Xmpeg
exits with EOF (-1) if a fatal error occurs, otherwise with zero (0).
If an error occurs during an action, a error window is coming up explaining
the error. Click OK to continue (selected or specified filenames are then
deselected).
.SH SEE ALSO
mpeginfo, xmplay
.SH AUTHOR
.I Xmpeg
was developed by
.PP
.I Frank Gadegast
(phade@cs.tu-berlin.de)
.br
Leibnizstr. 30
.br
10625 Berlin GERMANY
.PP
.I Metin Cetinkaya
(brain@cs.tu-berlin.de)
.br
.I Juergen Meyer
(jm@cs.tu-berlin.de)
